Bug 1029475 - Errors in jax-rs-client quickstart
Errors in jax-rs-client quickstart
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: CR1
: EAP 6.2.0
Assigned To: sgilda
Nikoleta Ziakova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 07:52 EST by Nikoleta Ziakova
Modified: 2017-10-09 20:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:16:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Full test report attached (8.53 KB, text/xml)
2013-11-12 07:52 EST, Nikoleta Ziakova
no flags Details

  None (edit)
Description Nikoleta Ziakova 2013-11-12 07:52:25 EST
Created attachment 822951 [details]
Full test report attached

The Arquillian test for jax-rs-client quickstart ends with error:

test(org.jboss.as.quickstarts.jaxrsclient.JaxRsClientTest)  Time elapsed: 0.059 sec  <<< ERROR!
java.lang.NoClassDefFoundError: org/apache/commons/logging/LogFactory

To reproduce this issue simply follow README for this quickstart.
Comment 1 sgilda 2013-11-12 09:44:54 EST
Added the commons logging dependency to the pom.xml file.

Fix is in this commit: https://github.com/jboss-developer/jboss-eap-quickstarts/commit/7ff80e28f7fb21a23388ce873282fa481d97a169
Comment 2 Jitka Kozana 2013-11-15 04:45:47 EST
Verified using 6.2.0.CR1 bits.

Note You need to log in before you can comment on or make changes to this bug.